Page MenuHomePhabricator

Flaky unit test AbuseFilterTest::testUserAgeVar
Closed, ResolvedPublicPRODUCTION ERROR

Description

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/465297/
https://integration.wikimedia.org/ci/job/wmf-quibble-core-vendor-mysql-hhvm-docker/4026/console

02:05:30 There was 1 failure:
02:05:30 
02:05:30 1) AbuseFilterTest::testUserAgeVar
02:05:30 AbuseFilter variable user_age is computed wrongly. Expected: 4041, actual: 1.
02:05:30 Failed asserting that 65378800800 is equal to 10 or is less than 10.
02:05:30 
02:05:30 /workspace/src/extensions/AbuseFilter/tests/phpunit/AbuseFilterTest.php:239
02:05:30 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416

Event Timeline

Krinkle created this task.Oct 9 2018, 2:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2018, 2:16 AM
Krinkle triaged this task as High priority.Oct 9 2018, 2:17 AM
Restricted Application added a subscriber: Daimona. · View Herald TranscriptOct 9 2018, 2:17 AM

Huh, again... Given the nature of the test, a recheck should be enough as a temporary fix. Later I'll try to see if I can somehow fix it, although I thought 10 seconds would have been a huge amount of time.

Change 465388 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Simplify user_age test

https://gerrit.wikimedia.org/r/465388

Change 465388 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Simplify user_age test

https://gerrit.wikimedia.org/r/465388

Change 465678 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Use fake timestamps for time-related tests

https://gerrit.wikimedia.org/r/465678

Daimona claimed this task.Oct 10 2018, 6:27 PM

Change 465678 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Use fake timestamps for time-related tests

https://gerrit.wikimedia.org/r/465678

Daimona closed this task as Resolved.Oct 14 2018, 6:47 AM
Daimona removed a project: Patch-For-Review.

The patch above should have finally solved the problem.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM